# Forecasting

Ecosuite supports multiple methods for forecasting long term generation for a project, with the most accurate taking precedence:

1. AC Energy
2. Irradiance
3. System Size

#### AC Energy <a href="#ac-energy" id="ac-energy"></a>

A monthly profile of AC Energy (kWh) is forecast for the System using a tool like Helioscope or PVWatts. These estimates are considered very accurate taking a number of variables and factors into account.

We then apply the `Annual Panel Degradation` configured on the System's **Solar Array** to forecast degraded performance over time.

#### Irradiance <a href="#irradiance" id="irradiance"></a>

A monthly profile of Irradiance (Wh/m2/day) is forecast for the System. These Irradiance hours are then passed into the same calculation used to calculated Expected Generation (which is calculated using actual observed Irradiance) using the System's Solar Array configuration (or PvLib if that is activated):

`IrradianceHours` \* `panelArea` \* `panelEfficiency` \* `performanceRatio` \* `arrayTiltFactor`

We then apply the `Annual Panel Degradation` configured on the System's **Solar Array** to forecast degraded performance over time.

{% hint style="info" %}
If you want more technical details, there is an advanced deep dive on how this irradiance driven setup is done available here (Note: This setup is typically done for you by our Ecosuite engineers during onboarding, so the need to understand this is optional): [Expected Energy Calculation Setup](/user-guide/modules/data/project/expected-energy-calculation-setup.md)
{% endhint %}

#### System Size <a href="#system-size" id="system-size"></a>

The most basic forecast is calculated using the DC Size of the System:

`dcSize` \* `productionPerPeak (productionPerPeak defaults to 1270 if not configured)`

This yearly generation then has monthly weighting applied to it to calculate the monthly forecast.

\
e.g.

| Month     | Production (pct. of total) |
| --------- | -------------------------- |
| January   | 4.34%                      |
| February  | 5.96%                      |
| March     | 8.43%                      |
| April     | 9.54%                      |
| May       | 11.18%                     |
| June      | 12.44%                     |
| July      | 11.54%                     |
| August    | 11.34%                     |
| September | 8.78%                      |
| October   | 7.56%                      |
| November  | 4.71%                      |
| December  | 4.18%                      |

We then apply the `Annual Panel Degradation` configured on the System's **Solar Array** to forecast degraded performance over time.

### Pro Forma forecasting <a href="#pro-forma-forecasting" id="pro-forma-forecasting"></a>

When a System is available it’s configuration takes precedence when forecasting generation, however in the early stages of a project only the Pro Forma configuration is available. In this case the same System Size calculation above is performed for financial forecasting but using the values on the Pro Forma:

* System Size (kW DC)
* System Production (kWh/kWp)
* Degradation (%)

This is in place of the equivalent values that would normally come from the System.

&#x20;

***

***Technial note:** generation is forecast in both the `energy` and `finance` services, the finance service being a simpler implementation as it only aggregates by month but also needs to take Pro Forma configuration into account*

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecosuite.io/user-guide/ecosuite-terminology/forecasting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
